%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                      %
% plot ap spatial structure                                            %
% Author: Wenbo Wang                                                   %
% Date: 1st Aug. 2015 -- the 1st version                               %
%                                                                      %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                      %                  
% note: 1.this script is highly dependent on the structure of loaded   %
%       data, therefore before you use it check if this script is fit  %
%       to your data structure or not.                                 %
%                                                                      %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% close all the figures, clear all the variables in the workspace and clear
% the screen
close all;
clear all;
clc;

% loading...
load('fp_10_noise.mat');

len=length(AP);

temp=zeros(len,3);
power=zeros(len,1);

for n=1:len
    
    temp(n,:)=AP{3,n};
    
end

for n=1:len
    
    power(n,:)=AP{2,n};
    
end

scatter3(temp(:,1),temp(:,2),temp(:,3),30,power,'fill');

h=colorbar;
set(get(h,'Title'),'string','Power [dBm]');
xlabel('x [m]');
ylabel('y [m]');
zlabel('z [m]');