%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                      %
% plot ap statistical characterization                                 %
% Author: Wenbo Wang                                                   %
% Date: 1st Aug. 2015 -- the 1st version                               %
%                                                                      %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                      %                  
% note: 1.this script is highly dependent on the structure of loaded   %
%       data, therefore before you use it check if this script is fit  %
%       to your data structure or not.                                 %
%                                                                      %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% close all the figures, clear all the variables in the workspace and clear
% the screen
close all;
clear all;
clc;

%load('fp_2_noise.mat');
%load('fp_10_noise.mat');
load('fp_40_noise.mat');
%load('fingerPrint_uni_bulid1_new.mat');
%load('fingerPrint_uni_bulid2.mat');

len=length(fingerPrint);
len1=length(fingerPrint{2,1});

temp=zeros(len*2,len1);
temp1=zeros(len,3);

for n=1:len
    
    temp(2*n-1:2*n,:)=fingerPrint{2,n};
    
end

clear n;

qp=6;

% building 1 and building 2
%qp=163;
%qp=212;

temp4=temp(2:2:end,qp);

for n=1:len
    
    temp1(n,:)=fingerPrint{1,n};
    
end

% simulation 2 10 & 40
temp2=AP{3,qp};

%%{
ab=4;
[aaaa,bbbb]=sort(-temp4);
aaa=-1*aaaa(1:ab);
aa=10.^(aaa/10);
temp3=temp1(bbbb(1:ab),:);

% weight matrix
clear n;
matrix=zeros(ab,3);
for n=1:ab
    
    matrix(n,:)=(aa(n)/sum(aa)).*temp3(n,:);
    
end
%}

clear temp3;
temp3=sum(matrix);

scatter3(temp1(:,1),temp1(:,2),temp1(:,3),10,temp4,'filled');hold on;
h2=plot3(temp2(:,1),temp2(:,2),temp2(:,3),'r*','markersize',15,'linewidth',2.5);
%axis([0 50 0 50 0 9]);
h=plot3(temp3(:,1),temp3(:,2),temp3(:,3),'ro','markersize',15,'linewidth',2.5);
axis tight;

legend([h2,h],'real position of AP 6','estimated position of AP 6');
%legend(h,['estimated position of AP' num2str(qp)]);
h1=colorbar;
set(get(h1,'Title'),'string','Power [dBm]');
view(-37.5,19);
xlabel('x [m]');ylabel('y [m]');zlabel('z [m]');
title('40 dB noise level');
%title('building 1');
%title('building 2');

set(gca,'ztick',[3 6 9]);
hold off;