%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                      %
% downsampling demonstration                                           %
% Author: Wenbo Wang                                                   %
% Date: 1st Aug. 2015 -- the 1st version                               %
%                                                                      %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                      %                  
% note: 1.this script is highly dependent on the structure of loaded   %
%       data, therefore before you use it check if this script is fit  %
%       to your data structure or not.                                 %
%                                                                      %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% close all the figures, clear all the variables in the workspace and clear
% the screen
close all;
clear all;
clc;

% initial...
load('hybrid_model_1.mat');
%load('random_direction_1.mat');

n=10000;

trace1=trace_rss(:,1:n+1);
trace2=trace_rss(:,1:100:n+1);

figure;
h=plot3(trace1(1,:),trace1(2,:),trace1(3,:),'k-','linewidth',0.6);
grid on;
xlabel('x [m]');ylabel('y [m]');zlabel('z [m]');
legend([h],['raw data total samples is ',num2str(n+1)]);

figure;
h1=plot3(trace2(1,:),trace2(2,:),trace2(3,:),'m.-','linewidth',1,'markersize',15);
grid on;
xlabel('x [m]');ylabel('y [m]');zlabel('z [m]');
legend([h1],['after downsampling total samples is ', num2str(n/100+1)]);
