%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                      %
% three examples of fingerprints                                       %
% Author: Wenbo Wang                                                   %
% Date: 1st Aug. 2015 -- the 1st version                               %
%                                                                      %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                      %                  
% note: 1.this script just gives examples of possible fingerprints     %
%       spatial structure, the validation is not proved                %
%                                                                      %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% close all the figures, clear all the variables in the workspace and clear
% the screen
close all;
clear all;
clc;

xmax=10;
ymax=10;

x1=1:2:xmax;
y1=1:2:ymax;

temp_x=repmat(x1,length(y1),1);
temp_x=temp_x(:);
temp_y=repmat(y1.',1,length(x1));
temp_y=temp_y(:);
fpGrid1=[temp_x,temp_y];

figure;
h1=plot(fpGrid1(:,1),fpGrid1(:,2),'k.','markersize',20);
axis([0 10 0 10],'square');
xlabel('x [m]');
ylabel('y [m]');
legend([h1],['number of fingerprint points is ',num2str(numel(fpGrid1)/2)]);

x2=0:2:xmax-2;
y2=0:2:ymax-2;

temp_x=repmat(x2,length(y2),1);
temp_x=temp_x(:);
temp_y=repmat(y2.',1,length(x2));
temp_y=temp_y(:);
fpGrid2=[temp_x,temp_y];

figure;
h2=plot(fpGrid2(:,1),fpGrid2(:,2),'k.','markersize',20);
axis([0 10 0 10],'square');
xlabel('x [m]');
ylabel('y [m]');
legend([h2],['number of fingerprint points is ',num2str(numel(fpGrid2)/2)]);

x3=0:2:xmax;
y3=0:2:ymax;

temp_x=repmat(x3,length(y3),1);
temp_x=temp_x(:);
temp_y=repmat(y3.',1,length(x3));
temp_y=temp_y(:);
fpGrid3=[temp_x,temp_y];

figure;
h3=plot(fpGrid3(:,1),fpGrid3(:,2),'k.','markersize',20);
axis([0 10 0 10],'square');
xlabel('x [m]');
ylabel('y [m]');
legend([h3],['number of fingerprint points is ',num2str(numel(fpGrid3)/2)]);