function coordinates = encloseArea(main_limits,space_limits)
    % Creates an enclosed space (inside the given area)    
    % set location of rooms in floor
    
    
    [m_wid,m_len,m_dep] = geometry.limits2area(main_limits);
    [s_wid,s_len,s_dep] = geometry.limits2area(space_limits);
    
    v_wid = m_wid-s_wid; % valid width
    v_len = m_len-s_len; % valid length
    v_dep = m_dep-s_dep; % valid depth
    
    if  v_wid < 0 ||  v_len < 0
        error('geometry:enclosedArea','Area to enclose can not be bigger than surrounding area');
    end
    
    posx = fix(math.drawnumber(0,v_wid,1));
    posy = fix(math.drawnumber(0,v_len,1));
    posz = fix(math.drawnumber(0,v_dep,1));
    
    %Is this valid? Yes!    
    coordinates = [posx,posy,posz;
                   posx+s_wid,posy+s_len,posz+s_dep];
end