%%%%
%
%   CRBD 3D plots
%
%%%%
close all;
clear all;
% Load F2 data
load('\\intra.tut.fi\home\figueire\My Documents\MATLAB\+math\plotCRBDdata\f2_data_new.mat');
% loads

% NEW datafile _ F2wifib;F2wifig;F2wifiac;F2wcdma;
for k=size(F_2(:),1)
    aF2(k,1) = F_2(k);
end

% Optionaly create the data

% CN0 and Distance parameters
CN0 = 1:50;  % define CN0
D   = 1:25; % distance range
cno = 10.^(CN0./10);

% Create the maps for each technology
lenD   = length(D);
lenCN0 = length(CN0);
lenF2  = length(aF2);
m(lenD,lenCN0) = 0;
for n = 1:lenF2;
    for k=1:lenD
        for l=1:lenCN0
            CRBDval(k,l,n) = (math.CRBD(D(k),cno(l),aF2(n)));
        end
    end
    mesh(CRBDval(:,:,n)');
    hold on;
    xlabel('Distance (m)');
    ylabel('CN0 (dB)');
    zlabel('log_{10}(CRBD)');
    xlim([min(D) max(D)]);
    ylim([min(CN0) max(CN0)]);
end
text(k,l,CRBDval(k,l,1) ,'802.11b')
text(k,l,CRBDval(k,l,2) ,'802.11g')
text(k,l,CRBDval(k,l,3) ,'802.11ac')
text(k,l,CRBDval(k,l,4) ,'WCDMA')

%%




% function val = CRBD(d,icno,f2)
%     %UNTITLED2 Summary of this function goes here
%     %   Detailed explanation goes here
%
%     c         = 3e8;            % speed of light (m/s)
%     go        = 2;              % delta coefficient, 2 in free space
%     ko        = 1;              % constant parameter (?)
%
%     val = c^2.*d.^(go+2) ./ (( 2.*ko.^2.*icno.*( (go.^2.*c.^2)./4 + d.^2.*f2 )));
%
% end
